Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		gnome-speech
Version:	0.4.25
Release:	1
License:	GNU/GPL
URL:		http://www.gnome.org
Group:		User Interface/Speech Synthesis
Summary:	GNOME Text to Speech
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

#Automatically resolved build dependencies
BuildRequires: espeak-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libbonobo-devel
BuildRequires: ORBit2-devel

%description
The GNOME Speech library provides a simple general API for 
producing text-to-speech output.

%package	devel
Summary:	The files needed for developing an app using gnome-speech
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libbonobo-devel
Requires:	pkgconfig

%description	devel
The gnome-speech-devel package contains files needed for developing
applications using GNOME Speech.

%package	espeak
Summary:	gnome-speech driver for eSpeak
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	espeak
The gnome-speech-espeak package contains a driver for using GNOME Speech
with eSpeak.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%_bindir/test-speech
%_libdir/lib*.so.*
%_libdir/orbit-2.0/*.so
%_bindir/festival-synthesis-driver
%_libdir/bonobo/servers/GNOME_Speech_SynthesisDriver_Festival.server

%files devel
%defattr(-,root,root,-)
%doc doc/gnome-speech.html
%_libdir/*.so
%_libdir/*.la
%_libdir/orbit-2.0/*.la
%_includedir
%_pkgconfig
%_datadir/idl/

%files espeak
%defattr(-,root,root,-)
%_bindir/espeak-synthesis-driver
%_libdir/bonobo/servers/GNOME_Speech_SynthesisDriver_Espeak.server

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Apr 05 2009 Christian Wasem <wasem@ccux-linux.de> 0.4.25-1
- initial CCux package release
